name: GuestBook App
services:
  default:
    name: default
    type: Namespace
    apiVersion: v1
    version: v1.25.2
    model: kubernetes
    traits:
      meshmap:
        edges: []
        id: 3e8540ea-0bc1-4d50-a2fe-1ca9688987d2
        label: default
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          displayName: Kubernetes
          metadata:
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/apiservice-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/apiservice-white.svg
          name: kubernetes
          version: v1.25.2
        meshmodel-metadata:
          genealogy: parent
          isCustomResource: false
          isNamespaced: false
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: rectangle
          styleOverrides: '{"background-image":"none","border-width":2,"border-style":"dashed","background-opacity":0.5}'
          subCategory: Scheduling & Orchestration
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/namespace-color.svg
          svgComplete: ui/public/static/img/meshmodels/kubernetes/complete/namespace-complete.svg
          svgWhite: ui/public/static/img/meshmodels/kubernetes/color/namespace-color.svg
        position:
          posX: 533.5412461921295
          posY: 84.76793374445226
  frontend-cyrdx:
    name: frontend-cyrdx
    type: Service
    apiVersion: v1
    model: kubernetes
    settings:
      spec:
        ports:
        - port: 80
          protocol: TCP
        selector:
          app: guestbook
          tier: frontend
    traits:
      meshmap:
        edges:
        - data:
            id: 4b8f77a0-1572-4624-ba5c-b9578237ef1f
            metadata:
              port: 80
              protocol: TCP
            source: 4ae55da0-82eb-405e-9410-75623cee1043
            subType: Network
            target: 9407d316-5e5a-4212-8767-2bcd60c9ac17
        id: 4ae55da0-82eb-405e-9410-75623cee1043
        label: frontend
        meshmodel-metadata:
          genealogy: ""
          isCustomResource: false
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-triangle
          styleOverrides: '{"height":16,"width":17,"padding":12,"background-fit":"none","background-position-y":4.5}'
          subCategory: Scheduling & Orchestration
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/apiservice-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/apiservice-white.svg
        position:
          posX: 316.06719963743905
          posY: 6.121912475095979
  frontend-fsfct:
    name: frontend-fsfct
    type: Deployment
    apiVersion: apps/v1
    model: kubernetes
    settings:
      spec:
        replicas: 3
        selector:
          match Labels:
            app: guestbook
            tier: frontend
        template:
          metadata:
            labels:
              app: guestbook
              tier: frontend
          spec:
            containers:
            - env:
              - name: GET_HOSTS_FROM
                value: dns
              image: gcr.io/google_samples/gb-frontend:v5
              name: php-redis
              ports:
              - container Port: 80
              resources:
                requests:
                  cpu: 100m
                  memory: 100Mi
    traits:
      meshmap:
        edges: []
        id: 43a7b935-6109-4f5c-84fb-5e3454f9c6d1
        label: frontend
        meshmodel-metadata:
          genealogy: parent
          isCustomResource: false
          isNamespaced: true
          logoURL: Created by Lee
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-pentagon
          styleOverrides: '{"background-image":"none","border-width":2,"background-opacity":0.5}'
          subCategory: Scheduling & Orchestration
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/deployment-color.svg
          svgComplete: ui/public/static/img/meshmodels/kubernetes/complete/deployment-complete.svg
          svgWhite: ui/public/static/img/meshmodels/kubernetes/color/deployment-color.svg
        position:
          posX: 470.60142199999996
          posY: 154.970587
  guestbook:
    name: guestbook
    type: Namespace
    apiVersion: v1
    namespace: default
    model: kubernetes
    traits:
      meshmap:
        edges: []
        id: 1e3a8397-8740-49ab-8591-d8276626c023
        label: guestbook
        meshmodel-metadata:
          genealogy: parent
          isCustomResource: false
          isNamespaced: false
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: rectangle
          styleOverrides: '{"background-image":"none","border-width":2,"border-style":"dashed","background-opacity":0.5}'
          subCategory: Scheduling & Orchestration
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/namespace-color.svg
          svgComplete: ui/public/static/img/meshmodels/kubernetes/complete/namespace-complete.svg
          svgWhite: ui/public/static/img/meshmodels/kubernetes/color/namespace-color.svg
        position:
          posX: 415.60142199999996
          posY: 154.970587
  redis-follower-armov:
    name: redis-follower-armov
    type: Service
    apiVersion: v1
    model: kubernetes
    settings:
      spec:
        ports:
        - port: 6379
        selector:
          app: redis
          role: follower
          tier: backend
    traits:
      meshmap:
        edges: []
        id: 7e403128-5022-409a-a1f2-26e0a5d25685
        label: redis-follower
        meshmodel-metadata:
          genealogy: ""
          isCustomResource: false
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-triangle
          styleOverrides: '{"height":16,"width":17,"padding":12,"background-fit":"none","background-position-y":4.5}'
          subCategory: Scheduling & Orchestration
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/apiservice-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/apiservice-white.svg
        position:
          posX: 419.60142199999996
          posY: 10.470586999999995
  redis-follower-nwlew:
    name: redis-follower-nwlew
    type: Deployment
    apiVersion: apps/v1
    model: kubernetes
    settings:
      spec:
        replicas: 2
        selector:
          match Labels:
            app: redis
        template:
          metadata:
            labels:
              app: redis
              role: follower
              tier: backend
          spec:
            containers:
            - image: gcr.io/google_samples/gb-redis-follower:v2
              name: follower
              ports:
              - container Port: 6379
              resources:
                requests:
                  cpu: 100m
                  memory: 100Mi
    traits:
      meshmap:
        edges:
        - data:
            id: 4b8f77a0-1572-4624-ba5c-b9578237ef1f
            metadata:
              port: 80
              protocol: TCP
            source: 4ae55da0-82eb-405e-9410-75623cee1043
            subType: Network
            target: 9407d316-5e5a-4212-8767-2bcd60c9ac17
        id: 9407d316-5e5a-4212-8767-2bcd60c9ac17
        label: redis-follower
        meshmodel-metadata:
          genealogy: parent
          isCustomResource: false
          isNamespaced: true
          logoURL: Created by Lee
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-pentagon
          styleOverrides: '{"background-image":"none","border-width":2,"background-opacity":0.5}'
          subCategory: Scheduling & Orchestration
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/deployment-color.svg
          svgComplete: ui/public/static/img/meshmodels/kubernetes/complete/deployment-complete.svg
          svgWhite: ui/public/static/img/meshmodels/kubernetes/color/deployment-color.svg
        position:
          posX: 363.67162710918217
          posY: 91.81778493253775
  redis-leader-fhxla:
    name: redis-leader-fhxla
    type: Deployment
    apiVersion: apps/v1
    model: kubernetes
    settings:
      spec:
        replicas: 1
        selector:
          match Labels:
            app: redis
        template:
          metadata:
            labels:
              app: redis
              role: leader
              tier: backend
          spec:
            containers:
            - image: docker.io/redis:6.0.5
              name: leader
              ports:
              - container Port: 6379
              resources:
                requests:
                  cpu: 100m
                  memory: 100Mi
    traits:
      meshmap:
        edges: []
        id: a6361bc8-7f4e-4e11-9406-e1bfd5578a53
        label: redis-leader
        meshmodel-metadata:
          genealogy: parent
          isCustomResource: false
          isNamespaced: true
          logoURL: Created by Lee
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-pentagon
          styleOverrides: '{"background-image":"none","border-width":2,"background-opacity":0.5}'
          subCategory: Scheduling & Orchestration
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/deployment-color.svg
          svgComplete: ui/public/static/img/meshmodels/kubernetes/complete/deployment-complete.svg
          svgWhite: ui/public/static/img/meshmodels/kubernetes/color/deployment-color.svg
        position:
          posX: 612.6846095952266
          posY: 14.397724024558478
  redis-leader-vjtmi:
    name: redis-leader-vjtmi
    type: Service
    apiVersion: v1
    namespace: default
    model: kubernetes
    dependsOn:
    - default
    settings:
      spec:
        ports:
        - port: 6379
          target Port: 6379
        selector:
          app: redis
          role: leader
          tier: backend
    traits:
      meshmap:
        edges: []
        id: 6badde68-595b-4e86-9be8-61318e52b476
        label: redis-leader
        meshmodel-metadata:
          genealogy: ""
          isCustomResource: false
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-triangle
          styleOverrides: '{"height":16,"width":17,"padding":12,"background-fit":"none","background-position-y":4.5}'
          subCategory: Scheduling & Orchestration
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/apiservice-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/apiservice-white.svg
        parent: 3e8540ea-0bc1-4d50-a2fe-1ca9688987d2
        position:
          posX: 533.5412461921295
          posY: 75.76793374445226
